stages:
  - test
  - build
  - deploy

executar_teste:
  stage: teste

  before_script:
    - echo "Preparando Testes....." # não é de uso obrigatório
  script:
    - echo "Executando testes..."

  after_script:
    - echo "Apagando arquivos temporarios......" # não é de uso obrigatório

executar_teste2:
  script:
    - echo "Executando teste 2 ....."

criar_imagens:
  stage: build

  script:
    - echo "Criando as imagens de teste....."

push_das_imagens:
  stage: build
  script:
    - echo "Realiozando o upload das imagens...."

deploy_k8s:
  stage: deploy
  script:
    - echo "Executando o deploy...."
# ----